Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  trait Phased extends AnyRef

  Mix this into an object and use it as a phasing Swiss Army knife.

  Mix this into an object and use it as a phasing Swiss Army knife.

  Definition Classes
    interpreter
- Cleanup
- Constructors
- Delambdafy
- Erasure
- Explicitouter
- Extmethods
- Fields
- Flatten
- Jvm
- Lambdalift
- Mixin
- Namer
- NoPhaseName
- Packageobjects
- Parser
- Patmat
- PhaseName
- Pickler
- PostErasure
- Refchecks
- Specialize
- Superaccessors
- Tailcalls
- Terminal
- Typer
- Uncurry

c

scala.tools.nsc.interpreter.Phased

# PhaseName

###
Companion object PhaseName

#### sealed abstract class PhaseName extends AnyRef

Source
  Phased.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Cleanup, Constructors, Delambdafy, Erasure, Explicitouter, Extmethods, Fields, Flatten, Jvm, Lambdalift, Mixin, Namer, NoPhaseName, Packageobjects, Parser, Patmat, Pickler, PostErasure, Refchecks, Specialize, Superaccessors, Tailcalls, Terminal, Typer, Uncurry
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PhaseName
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PhaseName toany2stringadd[PhaseName] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PhaseName, B)
   Implicit
     This member is added by an implicit conversion from PhaseName toArrowAssoc[PhaseName] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (PhaseName) => Boolean, msg: => Any): PhaseName
   Implicit
     This member is added by an implicit conversion from PhaseName toEnsuring[PhaseName] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (PhaseName) => Boolean): PhaseName
   Implicit
     This member is added by an implicit conversion from PhaseName toEnsuring[PhaseName] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): PhaseName
    Implicit
      This member is added by an implicit conversion from PhaseName toEnsuring[PhaseName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): PhaseName
    Implicit
      This member is added by an implicit conversion from PhaseName toEnsuring[PhaseName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PhaseName toStringFormat[PhaseName] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  lazy val id: Int
19.  def isEmpty: Boolean
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  lazy val name: String
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def phase: Phase
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (PhaseName, B)
   Implicit
     This member is added by an implicit conversion from PhaseName toArrowAssoc[PhaseName] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPhaseName to any2stringadd[PhaseName]

### Inherited by implicit conversion StringFormat fromPhaseName to StringFormat[PhaseName]

### Inherited by implicit conversion Ensuring fromPhaseName to Ensuring[PhaseName]

### Inherited by implicit conversion ArrowAssoc fromPhaseName to ArrowAssoc[PhaseName]

### Ungrouped